restinio::parse_query_traits::javascript_compatible Struct Reference

Traits for parsing a query string in JavaScript-compatible mode. More...

`#include <uri_helpers.hpp>`

Inheritance diagram for restinio::parse_query_traits::javascript_compatible:

## Additional Inherited Members

Static Public Member Functions inherited from restinio::utils::javascript_compatible_unescape_traits
static constexpr bool | ordinary_char (char c) noexcept
Static Public Member Functions inherited from restinio::parse_query_traits::details::ampersand_and_semicolon_as_separators
static string_view_t::size_type | find_next_separator (string_view_t where, string_view_t::size_type start_from) noexcept

## Detailed Description

Traits for parsing a query string in JavaScript-compatible mode.

In that mode several non-percent-encoded characters are allowed: `-`, `.`, `~`, `_`, `*`, `!`, ‘’`,`(`,`)`

Usage example:

auto result = restinio::parse_query<restinio::parse_query_traits::javascript_compatible>("name=A*");

Since
  v.0.4.9.1

Examples
  sample/try_parse_query_string/main.cpp.

Definition at line 262 of file uri_helpers.hpp.

The documentation for this struct was generated from the following file:

- restinio/uri_helpers.hpp